Public Member Functions | List of all members
clan::Sized Class Reference
clanCore Math

2D (width,height) size structure - Double More...

`#include <size.h>`

Inheritance diagram for clan::Sized:

## Public Member Functions
| Sized ()
| Sized (double width, double height)
| Sized (const Sizex< double > &s)
| Sized (const Vec2< double > &s)
| Sized (const Sizex< int > &copy)
| Sized (const Sizex< float > &copy)
Public Member Functions inherited from clan::Sizex< double >
| Sizex ()
| Constructs a size structure. More...
| Sizex (doublewidth, doubleheight)
| Constructs a size structure. More...
| Sizex (const Sizex< double > &s)
| Constructs a size structure. More...
| operator Vec2< double > () const
Sizex< double > & | operator+= (const Sizex< double > &s)
| Size += Size operator. More...
Sizex< double > & | operator+= (const double &s)
| Size += operator. More...
Sizex< double > & | operator-= (const Sizex< double > &s)
| Size -= Size operator. More...
Sizex< double > & | operator-= (const double &s)
| Size -= operator. More...
Sizex< double > | operator+ (const Sizex< double > &s) const
| Size + Size operator. More...
Sizex< double > | operator+ (const double &s) const
| Size + operator. More...
Sizex< double > | operator- (const Sizex< double > &s) const
| Size - Size operator. More...
Sizex< double > | operator- (const double &s) const
| Size - operator. More...
Sizex< double > & | operator*= (const double &s)
| Size *= operator. More...
Sizex< double > & | operator/= (const double &s)
| Size /= operator. More...
Sizex< double > | operator* (const double &s) const
| Size * operator. More...
Sizex< double > | operator/ (const double &s) const
| Size / operator. More...
bool | operator== (const Sizex< double > &s) const
| Size == Size operator (deep compare). More...
bool | operator!= (const Sizex< double > &s) const
| Size != Size operator (deep compare). More...

## Additional Inherited Members
Public Attributes inherited from clan::Sizex< double >
double | width
| Size width. More...
double | height
| Size height. More...

## Detailed Description

2D (width,height) size structure - Double

The documentation for this class was generated from the following file:

- size.h